Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
Ubuntu 12.04: come installare il kernel di Ubuntu 12.10
#1
COME INSTALLARE IL KERNEL DI UBUNTU 12.10 SU UBUNTU 12.04
(VALIDO ANCHE PER LINUX MINT 13)


Ecco un guida:
http://ubuntufast.blogspot.it/2013/03/in...10-su.html

Il passaggio è molto semplice e riassumibile nel comando:
Codice:
sudo apt-get install linux-generic-lts-quantal xserver-xorg-lts-quantal
tuttavia è bene dare una lettura per capire quello che si sta facendo.

Questo non è una normale installazione di un certo kernel Linux implementato da non si sa chi, come spesso si legge di fare in certi blog, questo è il kernel mantenuto da Canonical apposta per dare maggior supporto a Ubuntu 12.04 e migliorare le prestazioni su hardware recente. Dunque non ci sono, o non ci dovrebbero essere, problemi di stabilità. Io ho provato e funziona bene. Si continuano a ricevere gli usuali aggiornamenti di sicurezza.

Funziona su Ubuntu e una sua qualsiasi derivata ufficiale, mi piacerebbe sapere se anche Linux Mint ha inserito questi pacchetti nei propri repo.
Cita messaggio
#2
Se scarichi Ubuntu 12.04.2 te lo ritrovi già installato
Ubuntu 14.04 LTS / Windows 8.1 Pro Update1 con Media Center
Cita messaggio
#3
Lo so, infatti nella guida è scritto anche quello, ma Ubuntu 12.04 è già in giro da un anno ormai e quindi ci sono molti utenti che non sanno dell'aggiornamento al kernel 3.5, che non avviene di default ma si può fare con il comando che ho indicato. Inoltre un ragionamento analogo si potrà fare anche con il prossimo kernel 3.8 di Raring Ringtail, non appena verrà rilasciato, ancor prima dell'uscita di Ubuntu 12.04.3 che probabilmente lo includerà di default.
Cita messaggio
#4
(14-03-2013, 14:17 )Matteo Ha scritto: ... mi piacerebbe sapere se anche Linux Mint ha inserito questi pacchetti nei propri repo.

Si anche su Mint sono presenti
Cita messaggio
#5
grazie, l'ho aggiunto nel primo post...
Cita messaggio
#6
mi permetto di suggerire che si potrebbe indicare in open topic il fatto che il nuovo Xorg (contestuale al nuovo kernel) potrebbe determinare la fine del supporto proprietario per alcune relativamente vecchie schede video Ati; nel mio caso posso confermare che la mia Ati 2400 hd pro, non riceve supporto Catalyst dal kernel 3.5 in su.
Probabilmente si potrebbe fare un downgrade del server grafico, mantenendo il kernel 3.5, ma è un 'operazione delicata che ho preferito evitare Smile
(un'altra cosa che eviterò in futuro è comprare schede video AMD :-D)

naturalmente per chi vuole una lts su pc recentissimi, un kernel "quantal" potrebbe essere in ogni caso l'ideale in ottica funzionalità hardware o periferiche, quindi benvenga l'update in questo caso

PS: Dal momento che la home di ubuntu presenta in download la iso 12.04.2 kernel 3.5, per chi avesse necessità di reperire l'immagine di Precise "originaria" (kernel 3.2), segnalo il link al CD italiano, dotato anche di PAE (relativo ovviamente alla versione 32bit)
http://wiki.ubuntu-it.org/Installazione/CdItaliano

edit: oppure qui http://old-releases.ubuntu.com/releases/12.04.1/
ogni buon maestro che si fa, invisibile

http://www.virtualinn.it
Cita messaggio
#7
Per chi possiede una scheda AMD Radeon dalla serie HD 1xxx alla 4xxx può installare i proprietari e fare un downgrade di Xorg mediante il seguente PPA:
https://launchpad.net/~makson96/+archive/fglrx
QUI maggiori info. E' una mia guida in tal proposito, molti utenti mi hanno segnalato che funziona adeguatamente e i driver vengono periodicamente aggiornati.
Cita messaggio
#8
(14-03-2013, 18:31 )Matteo Ha scritto: grazie, l'ho aggiunto nel primo post...

Preciso che non l'ho installato ma mi son basato su questa risposta del terminale
Codice:
tumbler ~ # apt-cache policy linux-generic-lts-quantal
linux-generic-lts-quantal:
  Installato: (nessuno)
  Candidato:  3.5.0.25.32
  Tabella versione:
     3.5.0.25.32 0
        500 http://archive.ubuntu.com/ubuntu/ precise-updates/main i386 Packages
        500 http://security.ubuntu.com/ubuntu/ precise-security/main i386 Packages
tumbler ~ # apt-cache policy xserver-xorg-lts-quantal
xserver-xorg-lts-quantal:
  Installato: (nessuno)
  Candidato:  1:7.7+1ubuntu4~precise1
  Tabella versione:
     1:7.7+1ubuntu4~precise1 0
        500 http://archive.ubuntu.com/ubuntu/ precise-updates/main i386 Packages
tumbler ~ #

Come potrai notare si trovano nei repo di ubuntu ai quali Mint si è sempre appoggiato
Cita messaggio
#9
Non so se utilizzi synaptic oche altro, prova a cercare nel gestorepacchetti se esistono questi due pacchetti che ho nominato, quello del kernele quello di xorg. Magari li hannosolo rinominati, per esempio scrivendo "nadia" al postodi "quantal"... oppure hanno tenuto gli stessi...
Cita messaggio
#10
(15-03-2013, 08:56 )Matteo Ha scritto: Non so se utilizzi synaptic oche altro, prova a cercare nel gestorepacchetti se esistono questi due pacchetti che ho nominato, quello del kernele quello di xorg. Magari li hannosolo rinominati, per esempio scrivendo "nadia" al postodi "quantal"... oppure hanno tenuto gli stessi...

Se dici a me basta leggere la risposta del terminale al comando apt-cahce policy ... entrambi i pacchetti vengono trovati (tali e quali come nomi) nei repo che sotto ad ognuno riporta.

Chiaramente anche synaptic conferma Wink
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)